Subject: Re: [PATCH net-next v4 3/8] virtio_net: support device stats

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Mar 2024 15:54:25 -0700

On Thu, 14 Mar 2024 16:54:54 +0800 Xuan Zhuo wrote:
> make virtio-net support getting the stats from the device by ethtool -S
> <eth0>.
> 
> Due to the numerous descriptors stats, an organization method is
> required. For this purpose, I have introduced the "virtnet_stats_map".
> Utilizing this array simplifies coding tasks such as generating field
> names, calculating buffer sizes for requests and responses, and parsing
> replies from the device. By iterating over the "virtnet_stats_map,"
> these operations become more streamlined and efficient.

Don't duplicate the stats which get reported via the netlink API in
ethtool. Similar story to the rtnl stats:

https://docs.kernel.org/next/networking/statistics.html#notes-for-driver-authors